DependenciesNotFoundException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: DependenciesNotFoundException

Package org.apache.geode.management

# Class DependenciesNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.management.DependenciesNotFoundException

All Implemented Interfaces:
  `Serializable`

public class DependenciesNotFoundException extends GemFireException
Indicates that required dependencies were not found in the ClassPath.

Since:
  GemFire 7.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependenciesNotFoundException(String message)`
  Constructs a new DependenciesNotFoundException with the specified detail message.
  `DependenciesNotFoundException(String message, Throwable cause)`
  Constructs a new DependenciesNotFoundException with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DependenciesNotFoundException

    public DependenciesNotFoundException(String message, Throwable cause)
    Constructs a new DependenciesNotFoundException with the specified detail message and cause. Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.
    Parameters:
      `message` - The detail message.
      `cause` - The cause of this exception or `null` if the cause is unknown.

  - ### DependenciesNotFoundException

    public DependenciesNotFoundException(String message)
    Constructs a new DependenciesNotFoundException with the specified detail message.
    Parameters:
      `message` - The detail message.